curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.request(
"GET",
"{make}/charge"
)
const charge = await vehicle.request(
"GET",
"{make}/charge"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge")
.build();
VehicleResponse charge = vehicle.request(request);
charge = vehicle.request(
"GET",
"{make}/charge"
)
{
"chargingStatus": "CHARGING",
"isPluggedIn": null,
"chargeRate": 21,
"chargeType": "ac",
"chargePortColor": "green",
"chargePortLatch": "locked",
"completionTime": "2022-01-13T22:52:55.358Z",
"chargeMode": "manual",
"socLimit": 0.8,
"externalPowerStatus": "active",
"wattage" : 1.5
}
Audi
Audi: Charge Status
Returns all charging related data for an Audi vehicle.
GET
/
vehicles
/
{id}
/
{make}
/
charge
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.request(
"GET",
"{make}/charge"
)
const charge = await vehicle.request(
"GET",
"{make}/charge"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge")
.build();
VehicleResponse charge = vehicle.request(request);
charge = vehicle.request(
"GET",
"{make}/charge"
)
{
"chargingStatus": "CHARGING",
"isPluggedIn": null,
"chargeRate": 21,
"chargeType": "ac",
"chargePortColor": "green",
"chargePortLatch": "locked",
"completionTime": "2022-01-13T22:52:55.358Z",
"chargeMode": "manual",
"socLimit": 0.8,
"externalPowerStatus": "active",
"wattage" : 1.5
}
This endpoint is currently available for
audiPermission
read_charge
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/charge" \
-H "Authorization: Bearer {token}" \
-X "GET"
charge = vehicle.request(
"GET",
"{make}/charge"
)
const charge = await vehicle.request(
"GET",
"{make}/charge"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("{make}/charge")
.build();
VehicleResponse charge = vehicle.request(request);
charge = vehicle.request(
"GET",
"{make}/charge"
)
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
Response
string | null
Indicates the charging status of the vehicle
bool | null
Indicates if the vehicle is plugged in
number | null
The instant power measured by the vehicle (in kilowatts).
number | null
The rate of range added in the charging session (in kilometers added / hour).
string | null
Indicates the type of charger.
string | null
The indicator light color of the connector.
string | null
Indicates if the charge port latch status.
string | null
An ISO8601 formatted datetime (YYYY-MM-DDTHH:mm:ss.SSSZ) for the time at which the vehicle expects to complete this charging session.
string | null
Indicates if the vehicle is set to charge on a timer. One of
manual or timer.number | null
Indicates the level at which the vehicle will stop charging and be considered fully charged as a percentage.
string | null
When plugged in indicates if the charging station is able to provide power to the vehicle.
{
"chargingStatus": "CHARGING",
"isPluggedIn": null,
"chargeRate": 21,
"chargeType": "ac",
"chargePortColor": "green",
"chargePortLatch": "locked",
"completionTime": "2022-01-13T22:52:55.358Z",
"chargeMode": "manual",
"socLimit": 0.8,
"externalPowerStatus": "active",
"wattage" : 1.5
}
Was this page helpful?

